## ttyload 0.5

=== Makefile ===
# Makefile for ttyload
# Copyright 2001 by David Lindes, All Rights Reserved
# see the "LICENSE" file for licensing info.

# change this if you want to use 'make install' and have it go
# somewhere else:
INSTALLDIR	= /usr/local/bin

ARCH	= `uname -s | sed -e 's/ /-/g'`
LDFLAGS	= `./ldflags`

OBJS	=	arch/${ARCH}/getload.o	\
		arch/${ARCH}/terminfo.o	\
		${NULL}

# this is what I use most places...
CC=gcc -pedantic -Wall

# for the things in the sub-directory:
INCLUDES	=	-I$${PWD:-.} \
			-I$${PWD:-.}/arch/${ARCH} \
			-I$${PWD:-.}/arch/default

# Debugging compiles?
DEBUG	= -g

VERSION	= -DVERSION='"'`cat Version`'"'

CFLAGS	= $(INCLUDES) $(OTHER_FLAGS) $(DEBUG) $(VERSION)

# most people won't want loader, so don't bother building it:
# PROGRAMS =	archbuild loader
PROGRAMS =	archbuild

default:	$(PROGRAMS)

test:		$(PROGRAMS)
	./ttyload -i 1

# which architechtures are just symlinks?
ARCHLINKS_FREEBSD	=	\
	arch/Darwin		\
	arch/Isilon-OneFS	\
	${NULL}

ARCHLINKS_THISARCH	=	\
	arch/thisarch		\
	${NULL}

ARCHLINKS	=		\
	$(ARCHLINKS_FREEBSD)	\
	$(ARCHLINKS_THISARCH)	\
	${NULL}

# Some architechtures mimic eachother:
$(ARCHLINKS_FREEBSD):
	ln -s FreeBSD $@

$(ARCHLINKS_THISARCH):
	ln -s ${ARCH} $@

archlinks: $(ARCHLINKS)

archbuild: archlinks
	make archtest ttyload ARCH=$(ARCH)

ttyload.c:	ttyload.h Version
	touch ttyload.c

# have to be explicit here, for some make systems, like .c.o below:
ttyload: $(OBJS) ttyload.o
	$(CC) $(LDFLAGS) -o $@ $(OBJS) ttyload.o

archtest: $(OBJS) archtest.o
	$(CC) $(LDFLAGS) -o $@ $(OBJS) archtest.o

clean:
	rm -f *.o $(OBJS) core a.out

clobber:	clean
	rm -f loader ttyload archtest $(ARCHLINKS)

# install, gently.  not much to it:
install:	$(PROGRAMS)
	/bin/cp ttyload ${INSTALLDIR}/ttyload

# because different systems' make have different behaviors on how they
# deal with building stuff in subdirectories, and because I don't feel
# like descending into the subdirectories to make a single object file,
# I'll force the .c.o rule to what I'm expecting:
.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

=== debian/changelog ===
ttyload (0.5-8) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update years.
  * debian/pod2man.mk
    - Remove sed, use --release option.
  * debian/ttyload.1.pod
    - Fix typo (Closes: #709375). Patch thanks to Jakub Wilk
      <jwilk@debian.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 May 2013 19:35:54 +0300

ttyload (0.5-7) unstable; urgency=low

  * debian/patches
    - (10): Remove double gettermsize definition (FTBFS hurd; Closes: #670888).
  * debian/copyright
    - (LGPL, GPL-3+): Remove; unused licenses.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 30 Apr 2012 07:32:02 +0300

ttyload (0.5-6) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/pod2man.mk
    - Minor updates.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 01:07:34 -0400

ttyload (0.5-5) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Standards-Version): 3.9.2.
  * debian/debian-compile.mk
    - Removed due to simplification of rules file.
  * debian/copyright
    - Update to DEP5 format.
  * debian/install
    - New file.
  * debian/rules
    - Remove rules handled by dh(1).
    - override_dh_auto_install: New. An empty stub to prevent using Makefile.
    - (override_dh_auto_test): New. Prevent starting infinite running tty
      program during compile (FTBFS; Closes: #631623).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 28 Jun 2011 09:36:10 +0300

ttyload (0.5-4) unstable; urgency=low

  * debian/patches
    - (10): Rework GNU/Hurd patch to remove duplicate file
      inclusion in getload.c.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Dec 2009 20:02:12 +0200

ttyload (0.5-3) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Build-Depends): Remove dpatch.
    - (Standards-Version): Update to 3.8.3.
  * debian/copyright
    - Minor layout adjustment.
  * debian/debian-compile.mk
    - New file.
  * debian/rules
    - Remove rules obsoleted by dh(1).
    - (CFLAGS_EXTRA): New. Pass strict compiler flags.
  * debian/source/format
    - New file.
  * debian/ttyload.{clean,install,manpages}
    - Move content from debian/rules for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 18:27:36 +0200

ttyload (0.5-2) unstable; urgency=low

  * debian/copyright
    - Spell out GPL-2 (lintian).
  * debian/control
    - (Standards-Version): update to 3.8.2
    - (Build-Depends): Add dpatch.
  * debian/patches
    - Add GNU Hurd compile patch (FTBFS; Closes: #534227).
  * debian/rules:
    - Add patch and unpatch calls.
    - (install): use dh_prep (lintian).
  * debian/patches/debian-*.mk
    - Upgrade files to latest versions.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Aug 2009 07:43:31 +0000

ttyload (0.5-1) unstable; urgency=low

  * Initial release (ITP; Closes: #504204).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Nov 2008 17:14:56 +0000

=== debian/control ===
Source: ttyload
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/ttyload.git
Vcs-Git: git://git.debian.org/git/collab-maint/ttyload.git
Homepage: http://www.daveltd.com/src/util/ttyload

Package: ttyload
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console based color-coded graphs of CPU load average
 Display fairly standard, but hard-coded, ANSI ASCII escape sequences
 for screen manipulation and colorization for different graphs: 1
 minute, 5 minute, 15 minute load averages.
 .
 See http://www.daveltd.com/src/util/ttyload/screenshots.html

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ttyload

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install:
	# DESTDIR isn't used in makefile. Use debain/install

override_dh_auto_build: man
	# The only variable to pass more flags
	$(MAKE) CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_test:
	# Empty rule to prevent starting a TTY program. There are no
	# automatic tests.

%:
	dh $@

.PHONY: man

# End of file

## ttyload 0.5%2B20131024%2Bgitf949537

=== debian/changelog ===
ttyload (0.5+20131024+gitf949537-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 16:09:07 +0000

ttyload (0.5+20131024+gitf949537-5) unstable; urgency=medium

  * The “Spain wins FIFA Women's World Cup” release
  * Fix FTBFS after successful build (Closes: #1045875)
  * Set Standards-Version to 4.6.2 with no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 20 Aug 2023 14:05:54 +0200

ttyload (0.5+20131024+gitf949537-4) unstable; urgency=medium

  * Update GNU/kFreeBSD patch forwarded upstream
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC)
    Thanks to Helmut Grohne (Closes: #956756)

 -- Ricardo Mones <mones@debian.org>  Tue, 12 Jan 2021 21:40:03 +0100

ttyload (0.5+20131024+gitf949537-3) unstable; urgency=medium

  * Add patch to fix building in GNU/kFreeBSD archs
  * Update watch version to 4 and use secure URL
  * Remove unneeded DEB_LDFLAGS_MAINT_APPEND
  * Use secure URLs in homepage and description
  * Raise debhelper-compat level to 13
  * Raise standards version to 4.5.1, no other changes
  * Rules-Requires-Root: add field
  * Add upstream metadata
  * Fix spacing in copyright and update

 -- Ricardo Mones <mones@debian.org>  Tue, 12 Jan 2021 01:07:08 +0100

ttyload (0.5+20131024+gitf949537-2) unstable; urgency=medium

  * Update patch headers
  * Update uploaders list, thanks Jari! (Closes: #920113)
  * Update compat level to 12
  * Update Standards-Version to 4.3.0

 -- Ricardo Mones <mones@debian.org>  Wed, 23 Jan 2019 20:28:42 +0100

ttyload (0.5+20131024+gitf949537-1) unstable; urgency=medium

  [ Jari Aalto ]
  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/docs
    - Update to README.md.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 786508).
      Patch thanks to Juan Picca <jumapico@gmail.com>.
  * debian/patches
    - (10): Forwarded upstream.
    - (20): refresh. Forwarded upstream.
  * debian/rules
    - Update comment.

  [ Ricardo Mones ]
  * Update Vcs-* to current infrastructure
  * Update Standards-Version to 4.2.1
  * Bump debhelper compat level to 11
  * Add myself as uploader
  * Add patch fixing array size

 -- Ricardo Mones <mones@debian.org>  Tue, 30 Oct 2018 19:51:34 +0100

## ttyload 0.5+20131024+gitf949537

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 		${NULL}
 
 # this is what I use most places...
-CC=gcc -pedantic -Wall
+CC=gcc -pedantic -Wall -Werror
 
 # for the things in the sub-directory:
 INCLUDES	=	-I$${PWD:-.} \

=== debian/control ===
Source: ttyload
Section: utils
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/ttyload
Vcs-Git: https://salsa.debian.org/debian/ttyload.git
Homepage: https://www.daveltd.com/src/util/ttyload

Package: ttyload
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console based color-coded graphs of CPU load average
 Display fairly standard, but hard-coded, ANSI ASCII escape sequences
 for screen manipulation and colorization for different graphs: 1
 minute, 5 minute, 15 minute load averages.
 .
 See https://www.daveltd.com/src/util/ttyload/screenshots.html

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ttyload

-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install:
	# DESTDIR isn't used in makefile. Use debian/install

override_dh_auto_build: man
	# We must manually use CC variable to pass hardening flags
	$(MAKE) CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_test:
	# Empty rule to prevent starting a TTY program. There are no
	# automatic tests.

execute_after_dh_auto_clean:
	# Directory and symlink from 11-gnu-kfreebsd-compile.patch
	rm -rf arch/GNU
	rm -f arch/GNU-kFreeBSD

%:
	dh $@

.PHONY: man

# End of file

=== debian/watch ===
version=4
https://www.daveltd.com/src/util/ttyload/ @PACKAGE@[-_]?((?!(?:0\.5\.[0-3]))[\d\.]+)@ARCHIVE_EXT@
